Bug 440014 (CVE-2008-1561) - CVE-2008-1561 wireshark: crash in X.509sat and Roofnet dissectors
Summary: CVE-2008-1561 wireshark: crash in X.509sat and Roofnet dissectors
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-1561
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On: 435485 435487 435488 461566 461567 461568 461569 461570 833989
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-01 11:55 UTC by Tomas Hoger
Modified: 2019-09-29 12:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-01 18:04:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0890 normal SHIPPED_LIVE Moderate: wireshark security update 2008-10-01 15:33:35 UTC

Description Tomas Hoger 2008-04-01 11:55:38 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1561 to the following vulnerability:

Multiple unspecified vulnerabilities in Wireshark (formerly Ethereal) 0.99.5 through 0.99.8 allow remote attackers to cause a denial of service (application crash) via a malformed packet to the (1) X.509sat or (2) Roofnet dissectors.  NOTE: Vector 2 might also lead to a hang.

Refences:
http://www.wireshark.org/security/wnpa-sec-2008-02.html
http://www.securityfocus.com/bid/28485
http://www.frsirt.com/english/advisories/2008/1007/references
http://secunia.com/advisories/29569

Comment 1 Fedora Update System 2008-04-09 05:16:00 UTC
wireshark-1.0.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Fedora Update System 2008-04-09 05:22:45 UTC
wireshark-1.0.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Calvin Webster 2008-06-25 16:44:14 UTC
I don't see comments on RHEL versions here. Latest RHEL 4 version in RHN is
wireshark-0.99.7-1.el4.i386. Does this affect versions shipped with RHEL 4 & 5?

Same question for related bug #440015 and bug #439943


Comment 4 Tomas Hoger 2008-06-25 16:54:57 UTC
Due to a low impact of the flaw, fixing of this issue has been deferred until
there is some more important issue to be addressed in the wireshark packages in
Red Hat Enterprise Linux:

Official statement is available at:
  http://nvd.nist.gov/nvd.cfm?cvename=CVE-2008-1561

Official Statement from Red Hat (4/1/2008)
Red Hat is aware of this issue and is tracking it via the following bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=CVE-2008-1561

The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.


Comment 7 Red Hat Product Security 2008-10-01 18:04:24 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0890.html

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-3040


Note You need to log in before you can comment on or make changes to this bug.